%define dl_url	https://cnj-pje-programs.s3.sa-east-1.amazonaws.com
%define dl_name pje-office
%define nspace	br.jus.cnj.pje.office

Name:           pjeoffice
Version:        1.0.28
Release:        1%{?dist}
Summary:        Digital signer from CNJ (brazilian National Council of Justice)

License:        Various
URL:		https://www.pje.jus.br/wiki/index.php/PJeOffice
Source0:	%{dl_url}/%{dl_name}/%{dl_name}_unix_no_embedded.tar.gz#/%{name}-%{version}.tar.gz
Source1:	%{name}-%{version}.sha512
Source2:	LICENSE.bc-java
Source3:	%{name}-resources.zip

BuildArch:	noarch
BuildRequires:  %{__unzip}
BuildRequires:	%{_bindir}/zip

Requires:	java-11-openjdk
Requires:	ca-certificates-brazil

%description
Document electronic signer provided by the brazilian National Council of Justice (CNJ) 
to carry out digital signatures in the PJe.

%prep
pushd %{_sourcedir}
  sha512sum -c %{SOURCE1} || exit -1
popd
%setup -c -T
%{__tar} zxf %{SOURCE0} %{dl_name}/pjeOffice.jar && mv %{dl_name}/pjeOffice.jar .
%{__unzip} pjeOffice.jar && %{__rm} -f pjeOffice.jar
%{__unzip} -o %{SOURCE3}

%{__mkdir_p} licenses/{pjeoffice,hamcrest,junit,log4j,bc-java}
%{__cp} LICENSE-junit.txt licenses/junit/EPL-2.0.txt
%{__cp} LICENSE.txt licenses/hamcrest/BSD.txt
%{__cp} META-INF/LGPL2.1 licenses/pjeoffice/LGPL-2.1.txt
%{__cp} META-INF/LICENSE licenses/log4j/Apache-2.0.txt
%{__cp} %{SOURCE2} licenses/bc-java/MIT.txt

zip -x licenses -r %{name}.jar ./

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_datadir}/%{name}
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}

%{__install} -D -m0755 %{name} %{buildroot}%{_bindir}/
%{__install} -D -m0644 %{name}.jar %{buildroot}%{_datadir}/%{name}/
%{__install} -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{nspace}.desktop
%{__install} -D -m0644 icons/%{name}*.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
%{__cp} -a licenses %{buildroot}%{_datadir}/

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.jar
%{_datadir}/applications/%{nspace}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/licenses/bc-java/MIT.txt
%{_datadir}/licenses/hamcrest/BSD.txt
%{_datadir}/licenses/junit/EPL-2.0.txt
%{_datadir}/licenses/log4j/Apache-2.0.txt
%{_datadir}/licenses/pjeoffice/LGPL-2.1.txt

%changelog
* Thu Sep 08 2022 Christian Tosta <devel@cpuhouse.com.br> - 1.0.28-1
- Updated to version 1.0.28

* Thu Jul 21 2022 Christian Tosta <devel@cpuhouse.com.br> - 1.0.27-1
- Initial package
